---
title: "Retrieve users that have specific access to calls"
slug: "retrieve-users-that-have-specific-individual-access-to-calls-v2callsusers-access"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve users that have specific individual access to calls (/v2/calls/users-access)

Post/v2/calls/users-access

Returns a list of users who have received individual access to calls through the API.

This endpoint doesn't cover user that have access for other reasons (such as sharing recipients, or access through permission profiles).

Required authorizaton scope: 'api:call-user-access:read'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='b6734e0c-0e30-423b-88cd-83e12c7cd3b1'>application/json</option>
</select>Expand Allobject  filterobject (CallsAccessGetDto)  RequiredcallIds Array of string   Required

Array of Gong's unique numeric call IDs.

Example[
  "7782342274025937895"
]string    

Responses200

Successful request

<select class='api-response-data' aria-label='Media type'><option value='af3c77a4-01af-4397-abd8-b1a89ed0bc69'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
callAccessList Array of object (CallAccessDetails)   

A list, in which each item specifies a call & users with access to this call.

object  

Call access details

callIdstring    

Gong's unique numeric call ID.

Example7782342274025937895
users Array of object (UserAccessDetails)   

A list of users having access.

object  

User access details

userIdstring    

Gong's unique numeric user ID.

Example234599484848423

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='b1bb3a17-79ef-41ff-a33a-43ef4ea9af94'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='1f5b9272-0693-47c3-813a-c72d923dd9b2'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='07e57338-882d-42e7-a897-8e1cd347e4ca'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
